Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons.metaclass
[Java] Class DefaultDynamicMethods

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicMethods
          org.codehaus.groovy.grails.commons.metaclass.DefaultDynamicMethods

    public class DefaultDynamicMethods
    extends AbstractDynamicMethods

Simple concrete class implementation of AbstractDynamicMethods class.

Authors:
  Graeme Rocher

Since:
  0.4

Field Summary

Fields inherited from class AbstractDynamicMethods
clazz, dynamicConstructors, dynamicMethodInvocations, dynamicProperties, staticMethodInvocations

Constructor Summary
`DefaultDynamicMethods(java.lang.Class theClass)`

Method Summary

Methods inherited from class AbstractDynamicMethods
addDynamicConstructor, addDynamicMethodInvocation, addDynamicProperty, addStaticMethodInvocation, getDynamicMethod, getDynamicProperty, getProperty, invokeConstructor, invokeMethod, invokeStaticMethod, setProperty

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### DefaultDynamicMethods

    public DefaultDynamicMethods(java.lang.Class theClass)

Groovy Documentation